Bug 1400804 (CVE-2016-9777) - CVE-2016-9777 Kernel: kvm: out of bounds memory access via vcpu_id
Summary: CVE-2016-9777 Kernel: kvm: out of bounds memory access via vcpu_id
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2016-9777
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1400805
Blocks: 1398090
TreeView+ depends on / blocked
 
Reported: 2016-12-02 06:37 UTC by Prasad J Pandit
Modified: 2019-09-29 14:01 UTC (History)
29 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:02:58 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2016-12-02 06:37:05 UTC
Linux kernel built with the Kernel-based Virtual Machine(CONFIG_KVM) support
is vulnerable to an out-of-bounds memory access issue. It could occur on x86
platform, while servicing I/O APIC requests with larger vcpu_id.

A guest user/process could use this flaw to crash the host kernel resulting in
DoS or it could potentially be used to escalate privileges on a host.

Upstream patch:
---------------
  -> https://git.kernel.org/linus/81cdb259fb6d8c1c4ecfeea389ff5a73c07f5755

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/12/02/2

Comment 1 Prasad J Pandit 2016-12-02 06:38:15 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1400805]

Comment 3 Prasad J Pandit 2016-12-02 06:41:46 UTC
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2.


Note You need to log in before you can comment on or make changes to this bug.